import 'dart:async';

import 'package:flutter/material.dart';

class DelayRenderedWidget extends StatefulWidget {
  final Widget child;

  const DelayRenderedWidget({Key key, this.child}) : super(key: key);
  @override
  _DelayRenderedWidgetState createState() => _DelayRenderedWidgetState();
}

class _DelayRenderedWidgetState extends State<DelayRenderedWidget> {
  double opacity;
  @override
  void initState() {
    super.initState();
    Timer(Duration(milliseconds: 100), () {
      if (mounted) {
        setState(() {
          opacity = 1;
        });
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    return AnimatedOpacity(
      opacity: opacity ?? 0,
      duration: Duration(milliseconds: 300),
      child: widget.child,
    );
  }
}
